## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemCopyOf Class Reference

`#include <ElemCopyOf.hpp>`

Inheritance diagram for ElemCopyOf:

[legend]
Collaboration diagram for ElemCopyOf:

[legend]
List of all members.

## Public Methods

- ElemCopyOf (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:copy-of" element. More...
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual const ElemTemplateElement* startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e. More...
- virtual const XPath* getXPath (unsigned int index=0) const
    Get XPath pattern/expression of one of the element atribute. More...

## Constructor & Destructor Documentation

ElemCopyOf::ElemCopyOf ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

  | Construct an object corresponding to an "xsl:copy-of" element. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

## Member Function Documentation

const XalanDOMString & ElemCopyOf::getElementName ( | ) const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemTemplateElement.

const XPath * ElemCopyOf::getXPath ( | unsigned int index = 0 ) const`[virtual]`

| Get XPath pattern/expression of one of the element atribute. @index number of the attribute. If an attribute has more then one attribute with pattern/expression,the order of the returned expressions are undefined Returns: pointer or null Reimplemented from ElemTemplateElement.

const ElemTemplateElement * ElemCopyOf::startElement ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Completes "pre-processing" before any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element. Parameters:
  executionContext | context to execute this element
Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemCopyOf.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.